Skip to content

Payment Confirm

  • Endpoint: POST /aggregate-pay/api/gateway/confirmPayment
  • Tags: Collection Service

Description

Support interface for merchants to proactively confirm payment.

Parameters

FieldInTypeRequiredConstraintsDescription
Content-TypeheaderstringYes
signheaderstringYes签名信息请参考技术文档

Parameter Examples

  • Content-Type: "application/json"
  • sign: "FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="

Request Body

Content-Type: application/json

FieldTypeRequiredConstraintsDescriptionEnum
versionstringYesAPI version. Current value: 1.5
keyVersionstringYesSignature Algorithm Version, Current value: 1
requestTimestringYesRequest time, compliant with rfc3339 specification, format: yyyy-MM-dd'T'HH:mm:ss.SSSXXX The time must be within two minutes of the current time
appIdstringYesMerchant AppId,The unique identifier assigned to the merchant app by PayerMax
merchantNostringNomaxLength: 32Merchant Id, the unique identifier generated when the merchant signs the contract with PayerMax
dataobjectNoRequest data body
data.outTradeNostringYesmaxLength: 64Merchant order id, a transaction that uniquely identifies a merchant, cannot be repeated, and can only contain letters, numbers, and underscores.
data.tradeTokenstringYesmaxLength: 64PayerMax tradeToken
data.paymentDetailobjectYes
data.paymentDetail.verificationCodestring (char)YesmaxLength: 32, minLength: 1, pattern: ^[A-Za-z0-9]+$OTP

Example

json
{
  "version": "1.5",
  "keyVersion": "1",
  "requestTime": "2023-08-22T12:40:06.840Z",
  "appId": "a0dddd1f622243cb9aa1b676e808b5f8",
  "merchantNo": "02021382719993",
  "data": {
    "outTradeNo": "APIFOXDEV1759988765500077",
    "tradeToken": "T2025072902513478000003",
    "paymentDetail": {
      "verificationCode": "99888"
    }
  }
}

Responses

200

FieldTypeRequiredConstraintsDescriptionEnum
codestringYesReturn code, ‘APPLY_SUCCESS’ means success
msgstringYesReturn message, ‘Success.’
dataobjectYes
data.outTradeNostringYesmaxLength: 64Merchant order id, a transaction that uniquely identifies a merchant, cannot be repeated, and can only contain letters, numbers, and underscores.
data.closedTimestringYesmaxLength: 64Order closed time
data.statusstringYesmaxLength: 32Transaction Status,See【Transaction Status

Response Example

json
{
  "code": "APPLY_SUCCESS",
  "msg": "Success.",
  "data": {
    "status": "SUCCESS"
  }
}

Was this page helpful?

Thank you for your help in improving PayerMax Product Docs!

Released under the MIT License.